Subject: Wanted: Botanical Assistantship

From: [email-masked] (Seth J Colitz)
Date: 24 Mar 1995 05:03:50 GMT

Hello,

  I am current a third year undergrad here at the U of Michigan looking for
a botanical related assistantship or reccomended course for any dates this 
summer (after June 16th).  I am a botany major with a specific goal of doing
ethnobotanical and/or tropical botanical/conservation work.  Any info or advice
will be appreciated.  I have a serious love of plants, people and nature but
beleive I need some more relevant experiences to suppliment my course work.  I'mhard working yet easy going, and am willing to travel.  So help me out here 
please.  

Please reply with questions, comments, advice, etc. through e-mail.    

Thanks muchly,
Seth Colitz